comment
IRC Chat
play_arrow
Este sitio utiliza cookies propias y de terceros. Si continúa navegando consideramos que acepta el uso de cookies. OK Más Información.

problema con Aircrack y el adaptador wifi en kali linux

  • 3 Respuestas
  • 3209 Vistas

0 Usuarios y 1 Visitante están viendo este tema.

achievement_unlocked

  • *
  • Visitante
« en: Octubre 19, 2016, 04:52:00 pm »
Hola,
Estoy desde hace unos días intentando probar aircrack para ver cuan segura es mi propia wifi frente a un ataque por diccionario. En el terminal he puesto:

Código: Bash
  1. ifconfig

Y me sale:

Código: [Seleccionar]
eth0
UP, BROADCAST RUNNING MULTICAST ( mas los otros datos )

y

Código: [Seleccionar]
lo: UP ,LOOPBACK RUNNING
Cuando pongo
Código: Bash
  1. iwconfig
me sale:

Código: [Seleccionar]
lo y eth0 no wireless extensions
al poner
Código: Bash
  1. airmon-ng
me dice :

Código: [Seleccionar]
ls: cannot access sys/class/ieee80211: No such file or directory
he seguido lo que dicen aqui -> https://www.inforge.net/xi/threads/ls-cannot-access-sys-class-ieee80211-no-such-file-or-directory.454606/

"Do update and upgrade as always. apt-get update && apt-get upgrade && apt-get dist-upgrade -y

Citar
2- Install headers. apt-get install linux-headers-`uname -r`
3-Install synaptic. apt-get install synaptic -y
4-Open synaptic and type "bcm43142" and search.
5-U'll see 3 different drivers. broadcom-sta-common broadcom-sta-dkms broadcom-sta-source
6-Mark for installation to broadcom-sta-dkms and install it.
7-Reboot.

Pero sigue igual.. Estoy usando un adaptador WiFi en lugar del cable de red, es un TP-LINK y el modelo es : TL-WN881ND

¿Dónde podría ver si es compatible con aircrack (?)

Muchísimas gracias
« Última modificación: Octubre 21, 2016, 08:53:54 am por Stiuvert »

Marcado como mejor respuesta por: en Diciembre 08, 2018, 10:31:55 pm

Desconectado Stiuvert

  • *
  • Moderator
  • *
  • Mensajes: 2668
  • Actividad:
    1.67%
  • Reputación 14
    • Ver Perfil
  • Skype: stiuvert@gmail.com
  • Twitter: @Stiuvert
« Respuesta #1 en: Octubre 21, 2016, 08:45:34 am »
Solamente te está detectando la tarjeta de red ethernet, necesitarás instalar los drivers de tu tarjeta inalámbrica, y después veremos si es compatible con aircrack. Consigue en primer lugar conexión por WiFi, te dejo algunos topics que te pueden ayudar a instalar los drivers:

[SOLUCIONADO] No puedo conectarme por WiFi en Ubuntu
Instalar driver de tarjetas WIFI con Ndiswrapper
Instalar casi cualquier tarjeta Wifi en Linux

Para saber si tu tarjeta es compatible deberás conocer el chipset de la misma:

Listado de tarjetas inalámbricas para la auditoria wireless
Tutorial: ¿Es mi tarjeta wireless compatible?

Saludos
« Última modificación: Octubre 21, 2016, 08:53:00 am por Stiuvert »

achievement_unlocked

  • *
  • Visitante
« Respuesta #2 en: Octubre 21, 2016, 07:50:15 pm »
Solamente te está detectando la tarjeta de red ethernet, necesitarás instalar los drivers de tu tarjeta inalámbrica, y después veremos si es compatible con aircrack. Consigue en primer lugar conexión por WiFi, te dejo algunos topics que te pueden ayudar a instalar los drivers:

[SOLUCIONADO] No puedo conectarme por WiFi en Ubuntu
Instalar driver de tarjetas WIFI con Ndiswrapper
Instalar casi cualquier tarjeta Wifi en Linux

Para saber si tu tarjeta es compatible deberás conocer el chipset de la misma:

Listado de tarjetas inalámbricas para la auditoria wireless
Tutorial: ¿Es mi tarjeta wireless compatible?

Saludos


gracias Stiuvert pero he estado mirando y parece que no me funcionaría usar Ndiswrapper..

" Ten en cuenta que aircrack-ng NO funciona actualmente con tarjetas configuradas con ndiswrapper. Así que si tenías planeado algo de auditoría de redes inalámbricas, pues no se va a poder"

http://www.taringa.net/post/linux/16687175/Instalar-casi-cualquier-tarjeta-Wifi-en-Linux.html

he intentado instalar los drivers de backports pero no he encontrado el archivo ejecutable, como los formatos .bin, los .run, o los scripts .sh...

no se que hacer XD


Desconectado Stiuvert

  • *
  • Moderator
  • *
  • Mensajes: 2668
  • Actividad:
    1.67%
  • Reputación 14
    • Ver Perfil
  • Skype: stiuvert@gmail.com
  • Twitter: @Stiuvert
« Respuesta #3 en: Octubre 22, 2016, 12:09:46 pm »
Me parece que no es compatible con Aircrack, según he podido ver en WikiDevi el chipset es Atheros AR9287, y no es compatible.

Saludos

 

¿Te gustó el post? COMPARTILO!



[SOLUCIONADO] Linux Mint, errores, errores y mas errores...

Iniciado por n1sendev

Respuestas: 12
Vistas: 3203
Último mensaje Noviembre 22, 2017, 06:50:55 am
por RuidosoBSD
[SOLUCIONADO] Debian o Linux mint debian edition

Iniciado por Krapermors

Respuestas: 3
Vistas: 1584
Último mensaje Agosto 12, 2013, 08:36:54 am
por Sanko
¿Alguien me podría explicar sobre "Character Device Files" en linux?

Iniciado por proxy_lainux

Respuestas: 2
Vistas: 1439
Último mensaje Mayo 07, 2016, 12:23:06 pm
por proxy_lainux
[SOLUCIONADO] ¿Sirve para pentesting "Huayra GNU/Linux 2.0"?

Iniciado por Doblez

Respuestas: 2
Vistas: 1364
Último mensaje Mayo 13, 2016, 08:44:59 pm
por Doblez
DUDA: Error al instalar LAMP en Linux Mint (Sonya) Cinnamon bajo Virtual Box

Iniciado por fleshworm

Respuestas: 1
Vistas: 1053
Último mensaje Agosto 26, 2017, 08:49:11 am
por fleshworm